%define name		autojump
%define version	v19
%define release	%mkrel 2

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		autojump is a faster way to navigate your filesystem.
URL:			https://github.com/joelthelion/autojump
Group:			File tools
License:		GPL 2+
Source:			%{name}_%{version}.tar.xz
BuildRequires: 	bash
BuildRoot:		%{_tmppath}/%{name}-buildroot

%description
One of the most used shell commands is cd. Between 10 and 20 percent 
of all commands they type are actually cd commands! Unfortunately, 
jumping from one part of your system to another with cd requires to 
enter almost the full path, which isn't very practical and requires a lot 
of keystrokes.

autojump is a faster way to navigate your filesystem. It works by maintaining 
a database of the directories you use the most from the command line. The 
jumpstat command shows you the current contents of the database. You need 
to work a little bit before the database becomes usable.

%prep
%setup -q -n %{name}_%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/autojump/
mkdir -p $RPM_BUILD_ROOT%_usr/bin/
mkdir -p $RPM_BUILD_ROOT%_datadir/man/man1/
cp icon.png $RPM_BUILD_ROOT%_datadir/autojump/
cp jumpapplet $RPM_BUILD_ROOT%_usr/bin/
cp autojump $RPM_BUILD_ROOT%_usr/bin/
cp autojump.1 $RPM_BUILD_ROOT%_datadir/man/man1/

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/profile.d/
cp autojump.bash $RPM_BUILD_ROOT%_sysconfdir/profile.d/
cp autojump.sh $RPM_BUILD_ROOT%_sysconfdir/profile.d/

%post
echo
echo "You need to source your ~/.bashrc "
echo "$ source ~/.bashrc"
echo "before you can start using autojump."
echo

%postun

%files
%defattr(-,root,root,-)
%_bindir/autojump
%_bindir/jumpapplet
%_sysconfdir/profile.d/autojump.sh
%_sysconfdir/profile.d/autojump.bash
%_datadir/autojump/icon.png
%_datadir/autojump
%_datadir/man/man1/autojump.1.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> v19-2pclos2013
- fix rpmgroup

* Fri Dec 30 2011 Archie Arevalo <pclinuxos.ph at gmail.com> v19-1_archie_2011
- Update

* Wed Nov 23 2011 Archie Arevalo <pclinuxos.ph at gmail.com> v18-1_archie_2011
- Initial package

